Update PositivePay Rule - V2Deprecated

Update Positive Pay Rule.

  • ⚠️ This endpoint is deprecated and will be removed.
  • Please switch to v3 PATCH: /v3/positivepay/rules/{ruleUID}
SecurityoAuth2
Request
Request Body schema: application/json
ruleUID
required
number <int64>

Positive rule unique reference id. This is mandatory to identify the rule to update.

customerName
string

Customer name associated with the payment positive rule.

customerAccountNumber
string <= 20 characters

Bank Account Number.

achCompanyID
string <= 10 characters

ACH company ID is a 10-digit identifier used by banks and Nacha to identify the entity collecting payments or sending money via ACH.

beneBankId
string <= 20 characters

Bank unique id that is used to identify a specific bank.

beneName
string <= 50 characters

Beneficiary name - the person or entity that will receive the payment.

beneBankName
string <= 50 characters

Beneficiary bank name.

beneAccountNumber
string <= 20 characters

Beneficiary bank account number.

amount
number

Payment amount. Must be greater than 0 and less than or equal to 100,000,000.

currency
string
Default: "USD"

Currency Code. Only USD is supported.

amountType
string

Type of amount associated with the positive pay rule.

Enum: "EXACT" "MAXIMUM"
frequency
string

Positive pay rule frequency.

Enum: "ON_GOING" "ONE_TIME" "DAILY" "WEEKLY" "BI_WEEKLY" "MONTHLY" "QUARTERLY" "SEMI_ANNUAL" "ANNUAL"
secCode
string

SEC code associated with the ACH positive rule. Optional field.

effectiveDate
string

Rule effective date in mm-dd-yyyy format. Must not be before current date.

expiryDate
string

Rule expiry date in mm-dd-yyyy format. Must be after effective date.

Responses
200

Successfully processed request

400

Bad request

401

You are not authorized to access the resource

403

Accessing the resource you were trying to reach is forbidden

404

The resource you were trying to reach is not found

405

bad input parameter environment

500

Internal server error

503

Service unavailable

put/v2/positivepay/rules
Request samples
application/json
{
  • "ruleUID": 123456789,
  • "customerName": "ABC Company",
  • "customerAccountNumber": "12387878",
  • "achCompanyID": "1234567899",
  • "beneBankId": "12345678",
  • "beneName": "XYZ Name",
  • "beneBankName": "Bank Name",
  • "beneAccountNumber": "12345678",
  • "amount": 10,
  • "currency": "USD",
  • "amountType": "EXACT",
  • "frequency": "ON_GOING",
  • "secCode": "CCD",
  • "effectiveDate": "01-11-2022",
  • "expiryDate": "08-11-2022"
}
Response samples
application/json
{
  • "status": "Success",
  • "message": "Positive rules updated successfully",
  • "ruleUID": 869
}